<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      lang="en">
<head>
    <meta charset="UTF-8">
    <title>Profile</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
          integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">

</head>
<body>
<div th:object="${profile}">
    <p th:text="*{username}"></p>
    <a href="#" th:href="*{photoUrl}">photo</a>
</div>
<div class="input-group">
    <input type="text" class="form-control" placeholder="url" id="urlInput"/>
    <button id="sendNewUrlButton">save</button>
</div>
<ul class="list-group list-group-flush">
    <li class="list-group-item list-group-item-primary" th:each="link : ${links}">
        <a th:text="${link.getBaseLink()}"></a>
        <a hidden th:text="${link.getId()}" id="linkId"></a>
        <button class="btn-info" id="copyUrlBtn">Copy short link</button>
    </li>
</ul>
<script th:src="@{/js/jquery-3.4.1.min.js}"></script>
<script th:src="@{/js/sendNewLink.js}"></script>
<script th:src="@{/js/copyShortLink.js}"></script>
</body>
</html>